/* 
   Version 1.0							1996/11/30

   dolink.cmd : This file is part of the alliance 3.0 patch for OS/2

   Copyright (C) 1996 Christoph Jaeschke, jaeschke@item.uni-bremen.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
CALL SysLoadFuncs

"@echo off"

REXX_TOP="\alliance"
REXX_MACHINE="emx"

SAY "Linking Directories:"
CALL MkDirs(REXX_TOP REXX_MACHINE)
call SysFileTree REXX_TOP"\tools\*" , 'tool', 'DO'
do i=1 to tool.0
	rc=CharOut( ,FILESPEC("name", tool.i)" ")
	CALL MkDirs(tool.i REXX_MACHINE) 
	"MD "tool.i"\archi\"REXX_MACHINE"\obj 2>nul"
	CALL CopyHierachy( tool.i"\sce" tool.i"\archi\"REXX_MACHINE"\obj")
end
return

CopyHierachy:
PARSE ARG fromDir toDir
	"CP -r "fromDir"\* "toDir"\"
return

MkDirs:
PARSE ARG base machineDir
	"MD "base"\archi  2>nul"
	"MD "base"\archi\"machineDir "2>nul"
	"MD "base"\archi\"machineDir"\bin 2>nul"
	"MD "base"\archi\"machineDir"\include 2>nul"
	"MD "base"\archi\"machineDir"\lib 2>nul"
return
